<h1 align="center">magnus UI for React Native</h1>

<div align="center">

UI Design System for React Native

[![npm package](https://img.shields.io/npm/v/react-native-magnus.svg?style=flat-square)](https://www.npmjs.org/package/react-native-magnus) [![NPM downloads](http://img.shields.io/npm/dm/react-native-magnus.svg?style=flat-square)](http://npmjs.com/react-native-magnus) [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)

</div>

<p align="center">
  <a href="https://magnus-ui.com">
  <img src="https://magnus-ui.com/images/hero-1.svg">
  </a>
</p>

## ✨ Features

- UI design system for react native apps.
- Theme customisations
- Easy to use components


## 📦 Install

```bash
npm install react-native-magnus
```

```bash
yarn add react-native-magnus
```

## 🔨 Usage

```jsx
import { Button } from "react-native-magnus";

<Button />
```

## 🔗 Links

- [Home page](http://magnus-ui.com/)
- [Getting Started](https://magnus-ui.com/docs/getting-started)
- [Customizations](https://magnus-ui.com/docs/customization)

## 📦 Components
- [Div](http://magnus-ui.com/docs/div)
- [Text](http://magnus-ui.com/docs/text)
- [Button](http://magnus-ui.com/docs/button)
- [Checkbox](http://magnus-ui.com/docs/checkbox)
- [Drawer](http://magnus-ui.com/docs/drawer)
- [Icon](http://magnus-ui.com/docs/icon)
- [Input](http://magnus-ui.com/docs/input)
- [Avatar](http://magnus-ui.com/docs/avatar)
- [Image](http://magnus-ui.com/docs/image)
- [Modal](http://magnus-ui.com/docs/modal)
- [Radio](http://magnus-ui.com/docs/radio)
- [Skeleton](http://magnus-ui.com/docs/skeleton)
- [Snackbar](http://magnus-ui.com/docs/snackbar)
- [Tag](http://magnus-ui.com/docs/tag)

## Examples
- [Login Screen](https://snack.expo.io/@pawankumar2901/login-page)

## 🤝 Contributing [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
