"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const avatar_style_1 = require("./avatar.style");
const theme_1 = require("../../theme");
const Avatar = props => {
    const { style, children } = props, rest = __rest(props, ["style", "children"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = avatar_style_1.getStyle(theme, props);
    const renderContent = () => {
        if (props.src) {
            return <react_native_1.Image source={props.src} style={computedStyle.image}/>;
        }
        if (typeof children === "string") {
            return <react_native_1.Text style={computedStyle.text}>{children}</react_native_1.Text>;
        }
        return children;
    };
    return (<react_native_1.View style={computedStyle.container} {...rest}>
      {renderContent()}
    </react_native_1.View>);
};
exports.Avatar = Avatar;
Avatar.defaultProps = {
    bg: "white",
    size: 48,
    color: "black500",
    rounded: "circle",
    fontSize: "text400",
    shadow: 0,
    shadowColor: "black500",
    position: "relative"
};
//# sourceMappingURL=avatar.component.js.map