"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.container = Object.assign({ backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent"), alignItems: "center", justifyContent: "center", position: props.position }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    computedStyle.text = {
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "#000"),
        fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16)
    };
    computedStyle.image = Object.assign({ height: props.size, width: props.size }, theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.flexDir) {
        computedStyle.container = Object.assign({}, computedStyle.container, { flexDirection: props.flexDir });
    }
    if (props.size) {
        computedStyle.container = Object.assign({}, computedStyle.container, { width: props.size, height: props.size });
    }
    if (props.top) {
        computedStyle.container = Object.assign({}, computedStyle.container, { top: props.top });
    }
    if (props.right) {
        computedStyle.container = Object.assign({}, computedStyle.container, { right: props.right });
    }
    if (props.bottom) {
        computedStyle.container = Object.assign({}, computedStyle.container, { bottom: props.bottom });
    }
    if (props.left) {
        computedStyle.container = Object.assign({}, computedStyle.container, { left: props.left });
    }
    if (props.shadow) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=avatar.style.js.map