"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const color_1 = __importDefault(require("color"));
const react_native_1 = require("react-native");
const button_style_1 = require("./button.style");
const theme_1 = require("../../theme");
const theme_service_1 = require("../../theme/theme.service");
const ANDROID_VERSION_PIE = 28;
const ANDROID_VERSION_LOLLIPOP = 21;
const canSupportRipple = react_native_1.Platform.OS === "android" && react_native_1.Platform.Version >= ANDROID_VERSION_LOLLIPOP;
const Button = props => {
    const { m, mt, mr, mb, ml, p, pr, pt, pb, pl, h, w, bg, minW, minH, suffix, style, prefix, rounded, roundedTop, roundedRight, roundedBottom, roundedLeft, color: colorProp, loading, disabled, loaderColor, loaderSize, children, borderColor, borderBottomColor, borderLeftColor, borderTopColor, borderRightColor, borderWidth, borderLeftWidth, borderRightWidth, borderBottomWidth, borderTopWidth, shadow, center, borderless, rippleColor, shadowColor, onPress, block, onPressIn: onPressInProp, onPressOut } = props, rest = __rest(props, ["m", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "h", "w", "bg", "minW", "minH", "suffix", "style", "prefix", "rounded", "roundedTop", "roundedRight", "roundedBottom", "roundedLeft", "color", "loading", "disabled", "loaderColor", "loaderSize", "children", "borderColor", "borderBottomColor", "borderLeftColor", "borderTopColor", "borderRightColor", "borderWidth", "borderLeftWidth", "borderRightWidth", "borderBottomWidth", "borderTopWidth", "shadow", "center", "borderless", "rippleColor", "shadowColor", "onPress", "block", "onPressIn", "onPressOut"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = button_style_1.getStyle(theme, props);
    const underlayColor = theme_service_1.getThemeProperty(theme.colors, props.underlayColor, color_1.default(theme_service_1.getThemeProperty(theme.colors, props.bg, "#e1e1e1"))
        .darken(0.1)
        .rgb()
        .string());
    const renderChildren = () => {
        if (typeof children === "string") {
            return <react_native_1.Text style={computedStyle.text}>{children}</react_native_1.Text>;
        }
        return children;
    };
    const renderContainer = () => {
        if (canSupportRipple === true) {
            const useForeground = react_native_1.Platform.OS === "android" &&
                react_native_1.Platform.Version >= ANDROID_VERSION_PIE;
            const calculatedRippleColor = color_1.default(theme_service_1.getThemeProperty(theme.colors, rippleColor, "white"))
                .alpha(disabled ? 0 : 0.2)
                .rgb()
                .string();
            return (<react_native_1.TouchableNativeFeedback {...rest} onPress={disabled || loading ? undefined : onPress} useForeground={useForeground} background={react_native_1.TouchableNativeFeedback.Ripple(calculatedRippleColor, borderless)}>
          <react_native_1.View style={computedStyle.button}>
            {loading === true ? (<react_native_1.View style={Object.assign({}, computedStyle.container, { minHeight: theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16) })}>
                <react_native_1.View style={{
                minHeight: theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16)
            }}>
                  <react_native_1.ActivityIndicator size={theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16)} color={theme_service_1.getThemeProperty(theme.colors, loaderColor, "#e1e1e1")}/>
                </react_native_1.View>
              </react_native_1.View>) : (<react_native_1.View style={computedStyle.container}>
                {prefix}
                {renderChildren()}
                {suffix}
              </react_native_1.View>)}
          </react_native_1.View>
        </react_native_1.TouchableNativeFeedback>);
        }
        return (<react_native_1.TouchableHighlight {...rest} onPress={disabled || loading ? undefined : onPress} style={computedStyle.button} underlayColor={underlayColor}>
        {loading === true ? (<react_native_1.View style={computedStyle.container}>
            <react_native_1.View style={{
            minHeight: theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16)
        }}>
              <react_native_1.ActivityIndicator size={theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16)} color={theme_service_1.getThemeProperty(theme.colors, loaderColor, "#e1e1e1")}/>
            </react_native_1.View>
          </react_native_1.View>) : (<react_native_1.View style={computedStyle.container}>
            {prefix}
            {renderChildren()}
            {suffix}
          </react_native_1.View>)}
      </react_native_1.TouchableHighlight>);
    };
    return <>{renderContainer()}</>;
};
exports.Button = Button;
Button.defaultProps = {
    bg: "blue600",
    p: "md",
    color: "white",
    rounded: "md",
    loading: false,
    disabled: false,
    loaderSize: "text400",
    loaderColor: "gray400",
    block: false,
    position: "relative",
    shadowColor: "gray800",
    shadow: 0,
    fontSize: "text400",
    rippleColor: "white",
    borderless: false,
    center: true,
    alignItems: "center",
    onPress: () => { }
};
//# sourceMappingURL=button.component.js.map