"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.div = Object.assign({ flexDirection: props.flexDir, flexWrap: props.flexWrap, alignItems: props.alignItems, justifyContent: props.justifyContent, position: props.position, backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent") }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    computedStyle.image = Object.assign({}, theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.flex) {
        computedStyle.div = Object.assign({}, computedStyle.div, { flex: props.flex });
    }
    if (props.shadow) {
        computedStyle.div = Object.assign({}, computedStyle.div, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.h) {
        computedStyle.div = Object.assign({}, computedStyle.div, { height: props.h });
    }
    if (props.w) {
        computedStyle.div = Object.assign({}, computedStyle.div, { width: props.w });
    }
    if (props.top) {
        computedStyle.div = Object.assign({}, computedStyle.div, { top: props.top });
    }
    if (props.right) {
        computedStyle.div = Object.assign({}, computedStyle.div, { right: props.right });
    }
    if (props.bottom) {
        computedStyle.div = Object.assign({}, computedStyle.div, { bottom: props.bottom });
    }
    if (props.left) {
        computedStyle.div = Object.assign({}, computedStyle.div, { left: props.left });
    }
    if (props.minH) {
        computedStyle.div = Object.assign({}, computedStyle.div, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.div = Object.assign({}, computedStyle.div, { minWidth: props.minW });
    }
    if (props.style) {
        computedStyle.div = Object.assign({}, computedStyle.div, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=div.style.js.map