"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const div_style_1 = require("./div.style");
const theme_1 = require("../../theme");
const Row = (props) => {
    const { h, w, m, mt, mr, mb, ml, p, pr, pt, pb, pl, minH, minW, position, style, flexDir, rounded, roundedTop, roundedRight, roundedBottom, roundedLeft, children, bgImg, bgMode, alignItems, justifyContent, borderColor, borderBottomColor, borderLeftColor, borderTopColor, borderRightColor, borderWidth, borderLeftWidth, borderRightWidth, borderBottomWidth, borderTopWidth, flexWrap, shadow, shadowColor } = props, rest = __rest(props, ["h", "w", "m", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "minH", "minW", "position", "style", "flexDir", "rounded", "roundedTop", "roundedRight", "roundedBottom", "roundedLeft", "children", "bgImg", "bgMode", "alignItems", "justifyContent", "borderColor", "borderBottomColor", "borderLeftColor", "borderTopColor", "borderRightColor", "borderWidth", "borderLeftWidth", "borderRightWidth", "borderBottomWidth", "borderTopWidth", "flexWrap", "shadow", "shadowColor"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = div_style_1.getStyle(theme, props);
    if (bgImg) {
        return (<react_native_1.ImageBackground source={bgImg} style={computedStyle.div} resizeMode={props.bgMode} imageStyle={computedStyle.image} {...rest}>
        {children}
      </react_native_1.ImageBackground>);
    }
    return (<react_native_1.View style={computedStyle.div} {...rest}>
      {children}
    </react_native_1.View>);
};
exports.Row = Row;
Row.defaultProps = {
    bg: "white",
    flexDir: "row",
    flexWrap: "nowrap",
    rounded: "none",
    alignItems: "center",
    shadow: 0,
    shadowColor: "gray900",
    position: "relative",
    bgMode: "cover"
};
//# sourceMappingURL=row.component.js.map