"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
const SCREEN_WIDTH = react_native_1.Dimensions.get("window").width;
const SCREEN_HEIGHT = react_native_1.Dimensions.get("window").height;
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.drawer = {
        margin: 0
    };
    computedStyle.container = Object.assign({ position: "absolute", width: SCREEN_WIDTH, height: SCREEN_HEIGHT, zIndex: 0, margin: 0, backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "white") }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.direction === "right") {
        computedStyle.container = Object.assign({}, computedStyle.container, { right: 0 });
    }
    else {
        computedStyle.container = Object.assign({}, computedStyle.container, { left: 0 });
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=drawer.style.js.map