"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.container = Object.assign({ color: theme_service_1.getThemeProperty(theme.colors, props.color, "#000"), fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16), backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent"), alignItems: "center", justifyContent: "center" }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    computedStyle.icon = {
        alignItems: "center",
        justifyContent: "center"
    };
    if (props.h) {
        computedStyle.container = Object.assign({}, computedStyle.container, { height: props.h });
    }
    if (props.w) {
        computedStyle.container = Object.assign({}, computedStyle.container, { width: props.w });
    }
    if (props.minH) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minWidth: props.minW });
    }
    if (props.pos) {
        computedStyle.container = Object.assign({}, computedStyle.container, { position: props.pos });
    }
    if (typeof props.top !== "undefined") {
        computedStyle.container = Object.assign({}, computedStyle.container, { top: props.top });
    }
    if (typeof props.right !== "undefined") {
        computedStyle.container = Object.assign({}, computedStyle.container, { right: props.right });
    }
    if (typeof props.bottom !== "undefined") {
        computedStyle.container = Object.assign({}, computedStyle.container, { bottom: props.bottom });
    }
    if (typeof props.left !== "undefined") {
        computedStyle.container = Object.assign({}, computedStyle.container, { left: props.left });
    }
    if (props.shadow) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=icon.style.js.map