"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.image = {
        position: props.position
    };
    computedStyle.image = Object.assign({}, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.flex) {
        computedStyle.image = Object.assign({}, computedStyle.image, { flex: props.flex });
    }
    if (props.shadow) {
        computedStyle.image = Object.assign({}, computedStyle.image, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.h) {
        computedStyle.image = Object.assign({}, computedStyle.image, { height: props.h });
    }
    if (props.w) {
        computedStyle.image = Object.assign({}, computedStyle.image, { width: props.w });
    }
    if (props.top) {
        computedStyle.image = Object.assign({}, computedStyle.image, { top: props.top });
    }
    if (props.right) {
        computedStyle.image = Object.assign({}, computedStyle.image, { right: props.right });
    }
    if (props.bottom) {
        computedStyle.image = Object.assign({}, computedStyle.image, { bottom: props.bottom });
    }
    if (props.left) {
        computedStyle.image = Object.assign({}, computedStyle.image, { left: props.left });
    }
    if (props.minH) {
        computedStyle.image = Object.assign({}, computedStyle.image, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.image = Object.assign({}, computedStyle.image, { minWidth: props.minW });
    }
    if (props.style) {
        computedStyle.image = Object.assign({}, computedStyle.image, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=image.style.js.map