"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const color_1 = __importDefault(require("color"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const input_style_1 = require("./input.style");
const theme_1 = require("../../theme");
const theme_service_1 = require("../../theme/theme.service");
const Input = props => {
    const { h, w, m, mt, mr, mb, ml, p, pr, pt, pb, pl, bg, minH, minW, color: colorProp, suffix, prefix, style, onBlur, loading, onFocus, rounded, roundedTop, roundedRight, roundedBottom, roundedLeft, children, loaderSize, borderColor, borderBottomColor, borderLeftColor, borderTopColor, borderRightColor, borderWidth, borderLeftWidth, borderRightWidth, borderBottomWidth, borderTopWidth, loaderColor, focusBorderColor, shadow, shadowColor, placeholderTextColor } = props, rest = __rest(props, ["h", "w", "m", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "bg", "minH", "minW", "color", "suffix", "prefix", "style", "onBlur", "loading", "onFocus", "rounded", "roundedTop", "roundedRight", "roundedBottom", "roundedLeft", "children", "loaderSize", "borderColor", "borderBottomColor", "borderLeftColor", "borderTopColor", "borderRightColor", "borderWidth", "borderLeftWidth", "borderRightWidth", "borderBottomWidth", "borderTopWidth", "loaderColor", "focusBorderColor", "shadow", "shadowColor", "placeholderTextColor"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const [isFocussed, setIsFocussed] = react_1.useState(false);
    const computedStyle = input_style_1.getStyle(theme, props, { isFocussed });
    const placeholderColor = placeholderTextColor
        ? color_1.default(theme_service_1.getThemeProperty(theme.colors, placeholderTextColor, "#e1e1e1"))
            .alpha(0.4)
            .rgb()
            .string()
        : color_1.default(theme_service_1.getThemeProperty(theme.colors, colorProp, "#e1e1e1"))
            .alpha(0.4)
            .rgb()
            .string();
    const onFocusInput = (e) => {
        setIsFocussed(true);
        if (onFocus) {
            onFocus(e);
        }
    };
    const onBlurInput = (e) => {
        setIsFocussed(false);
        if (onBlur) {
            onBlur(e);
        }
    };
    return (<react_native_1.View style={computedStyle.container}>
      {prefix && <react_native_1.View style={computedStyle.prefix}>{prefix}</react_native_1.View>}
      <react_native_1.TextInput onFocus={e => onFocusInput(e)} onBlur={e => onBlurInput(e)} style={computedStyle.input} {...rest} placeholderTextColor={placeholderColor}/>
      {!loading && suffix && (<react_native_1.View style={computedStyle.suffix}>{suffix}</react_native_1.View>)}
      {loading && (<react_native_1.View style={computedStyle.suffix}>
          <react_native_1.ActivityIndicator size={theme_service_1.getThemeProperty(theme.fontSize, loaderSize, 16)} color={theme_service_1.getThemeProperty(theme.colors, loaderColor, "#e1e1e1")}/>
        </react_native_1.View>)}
    </react_native_1.View>);
};
exports.Input = Input;
Input.defaultProps = {
    p: "md",
    borderColor: "gray200",
    borderWidth: 1,
    rounded: "md",
    loading: false,
    color: "gray800",
    shadow: 0,
    shadowColor: "black500",
    loaderSize: "text400",
    loaderColor: "gray300"
};
//# sourceMappingURL=input.component.js.map