"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props, state) => {
    const computedStyle = {};
    computedStyle.container = Object.assign({ flexDirection: "row", alignItems: "center", backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "white") }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (state.isFocussed) {
        computedStyle.container = Object.assign({}, computedStyle.container, { borderColor: theme_service_1.getThemeProperty(theme.colors, props.focusBorderColor, computedStyle.container.borderColor) });
    }
    computedStyle.input = {
        flex: 1,
        padding: 0,
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "black")
    };
    computedStyle.suffix = {
        flexDirection: "row",
        justifyContent: "center",
        marginLeft: 5
    };
    computedStyle.prefix = {
        flexDirection: "row",
        justifyContent: "center",
        marginRight: 5
    };
    if (props.minH) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minWidth: props.minW });
    }
    if (props.shadow) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "black") });
    }
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=input.style.js.map