"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const react_native_modal_1 = __importDefault(require("react-native-modal"));
const div_component_1 = require("../div/div.component");
const modal_style_1 = require("./modal.style");
const Modal = React.forwardRef((props, ref) => {
    const { bg, h, children } = props, rest = __rest(props, ["bg", "h", "children"]);
    const [isVisible, setIsVisible] = react_1.useState(false);
    const computedStyle = modal_style_1.getStyle(props);
    react_1.useImperativeHandle(ref, () => ({
        open() {
            setIsVisible(true);
        },
        close() {
            setIsVisible(false);
        }
    }));
    return (<react_native_modal_1.default isVisible={isVisible} {...rest} style={computedStyle.modal}>
      <div_component_1.Div bg={bg} h={h}>
        <react_native_1.SafeAreaView pointerEvents="box-none">{children}</react_native_1.SafeAreaView>
      </div_component_1.Div>
    </react_native_modal_1.default>);
});
exports.Modal = Modal;
Modal.defaultProps = {
    bg: "white",
    h: "100%"
};
//# sourceMappingURL=modal.component.js.map