"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const radio_style_1 = require("./radio.style");
const theme_1 = require("../../theme");
const icon_component_1 = require("../icon/icon.component");
const radio_service_1 = require("./radio.service");
const theme_service_1 = require("../../theme/theme.service");
const Radio = props => {
    const { m, mt, mr, mb, ml, p, pr, pt, pb, pl, size, value, style, loading, disabled, onChange, children, activeColor, currentValue, inactiveColor } = props, rest = __rest(props, ["m", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "size", "value", "style", "loading", "disabled", "onChange", "children", "activeColor", "currentValue", "inactiveColor"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const [focussed, setFocussed] = react_1.useState(false);
    const computedStyle = radio_style_1.getStyle(theme, props);
    const onPress = () => {
        const { disabled, onChange, value } = props;
        if (disabled) {
            return;
        }
        onChange(value);
    };
    const onPressIn = () => {
        setFocussed(true);
    };
    const onPressOut = () => {
        setFocussed(false);
    };
    const getIcon = () => {
        return loading ? (<react_native_1.ActivityIndicator size={theme_service_1.getThemeProperty(theme.fontSize, size, 16)} color={iconColor}/>) : (<icon_component_1.Icon name={iconName} color={iconColor} fontFamily="MaterialIcons" fontSize={size} style={{ zIndex: 2, position: "relative" }}/>);
    };
    const checked = currentValue === value;
    const iconName = radio_service_1.getIconName(checked);
    const iconColor = radio_service_1.getIconColor(checked, disabled, activeColor, inactiveColor, theme);
    const icon = getIcon();
    return (<react_native_1.TouchableWithoutFeedback {...rest} style={computedStyle.button} onPress={onPress} onPressIn={onPressIn} onPressOut={onPressOut}>
      <react_native_1.View style={computedStyle.container}>
        <react_native_1.View>
          {focussed && <react_native_1.View style={computedStyle.highlightContainer}/>}
          {icon}
        </react_native_1.View>
        {children}
      </react_native_1.View>
    </react_native_1.TouchableWithoutFeedback>);
};
exports.Radio = Radio;
Radio.defaultProps = {
    loading: false,
    disabled: false,
    size: "text600",
    value: null,
    activeColor: "blue600",
    inactiveColor: "gray900"
};
//# sourceMappingURL=radio.component.js.map