"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.div = {
        borderColor: theme_service_1.getThemeProperty(theme.colors, props.borderColor, "transparent")
    };
    computedStyle.container = Object.assign({ flexDirection: "row", alignItems: "center" }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    computedStyle.text = {
        fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16)
    };
    computedStyle.highlightContainer = {
        backgroundColor: theme_service_1.getThemeProperty(theme.colors, "gray100", "#e1e1e1"),
        height: theme_service_1.getThemeProperty(theme.fontSize, props.size, 16) + 5,
        width: theme_service_1.getThemeProperty(theme.fontSize, props.size, 16) + 5,
        alignItems: "center",
        justifyContent: "center",
        top: -2.5,
        left: -2.5,
        borderRadius: theme_service_1.getThemeProperty(theme.fontSize, props.size, 16),
        zIndex: 1,
        position: "absolute"
    };
    if (props.style) {
        computedStyle.div = Object.assign({}, computedStyle.div, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=radio.style.js.map