"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.button = Object.assign({ justifyContent: "center", alignItems: "center", flexDirection: "row", alignSelf: "flex-start", position: props.position, backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent") }, theme_service_1.createSpacingStyles(props, theme.spacing));
    computedStyle.text = {
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "black"),
        textAlign: "right",
        fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16)
    };
    computedStyle.container = {
        flexDirection: "row",
        alignItems: "center",
        justifyContent: "center",
        position: "relative"
    };
    if (props.shadow) {
        computedStyle.button = Object.assign({}, computedStyle.button, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.block) {
        computedStyle.container = Object.assign({}, computedStyle.container, { width: "100%" });
    }
    if (props.w) {
        computedStyle.button = Object.assign({}, computedStyle.button, { width: props.w });
    }
    if (props.h) {
        computedStyle.button = Object.assign({}, computedStyle.button, { height: props.h });
    }
    if (props.top) {
        computedStyle.button = Object.assign({}, computedStyle.button, { top: props.top });
    }
    if (props.right) {
        computedStyle.button = Object.assign({}, computedStyle.button, { right: props.right });
    }
    if (props.bottom) {
        computedStyle.button = Object.assign({}, computedStyle.button, { bottom: props.bottom });
    }
    if (props.left) {
        computedStyle.button = Object.assign({}, computedStyle.button, { left: props.left });
    }
    if (props.borderColor) {
        computedStyle.button = Object.assign({}, computedStyle.button, { borderColor: theme_service_1.getThemeProperty(theme.colors, props.borderColor, "transparent") });
    }
    if (props.borderWidth) {
        computedStyle.button = Object.assign({}, computedStyle.button, { borderWidth: props.borderWidth });
    }
    if (props.rounded) {
        computedStyle.button = Object.assign({}, computedStyle.button, theme_service_1.createBorderRadiusStyles(props.rounded, theme.borderRadius));
    }
    if (props.disabled) {
        computedStyle.button = Object.assign({}, computedStyle.button, { opacity: 0.5 });
    }
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=option.style.js.map