"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const react_native_modal_1 = __importDefault(require("react-native-modal"));
const select_style_1 = require("./select.style");
const div_component_1 = require("../div/div.component");
const text_component_1 = require("../text/text.component");
const button_component_1 = require("../button/button.component");
const theme_1 = require("../../theme");
const option_component_1 = require("./option.component");
exports.Option = option_component_1.Option;
const theme_service_1 = require("../../theme/theme.service");
const Select = React.forwardRef((props, ref) => {
    const { m, p, w, h, bg, borderColor, borderWidth, rounded, suffix, color, prefix, placeholder, value, onSelect: onSelectProp, children } = props, rest = __rest(props, ["m", "p", "w", "h", "bg", "borderColor", "borderWidth", "rounded", "suffix", "color", "prefix", "placeholder", "value", "onSelect", "children"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const [isFocussed] = react_1.useState(false);
    const [isVisible, setIsVisible] = react_1.useState(false);
    const [selectedValue, setSelectedValue] = react_1.useState(value);
    const computedStyle = select_style_1.getStyle(theme, props, { isFocussed });
    const underlayColor = theme_service_1.getThemeProperty(theme.colors, props.underlayColor, props.underlayColor);
    const onPress = () => {
        setIsVisible(true);
    };
    react_1.useImperativeHandle(ref, () => ({
        close() {
            setIsVisible(false);
        }
    }));
    const onSelect = (value) => {
        onSelectProp(value);
        setSelectedValue(value);
        setIsVisible(false);
    };
    return (<button_component_1.Button {...rest} onPress={onPress} underlayColor={underlayColor}>
      <>
        <react_native_1.View style={computedStyle.container}>
          {prefix && <react_native_1.View style={computedStyle.prefix}>{prefix}</react_native_1.View>}
          {selectedValue && (<text_component_1.Text fontSize="text400" color={color} style={{ flex: 1 }}>
              {selectedValue}
            </text_component_1.Text>)}
          {!selectedValue && (<text_component_1.Text fontSize="text400" color="gray300" style={{ flex: 1 }}>
              {placeholder}
            </text_component_1.Text>)}
          {suffix && <react_native_1.View style={computedStyle.suffix}>{suffix}</react_native_1.View>}
        </react_native_1.View>
        <react_native_modal_1.default backdropTransitionOutTiming={0} isVisible={isVisible} onSwipeComplete={() => setIsVisible(false)} swipeDirection={["down"]} backdropColor="black" onBackdropPress={() => setIsVisible(false)} style={{
        margin: 0,
        justifyContent: "flex-end"
    }}>
          <div_component_1.Div style={{ backgroundColor: "white" }}>
            <react_native_1.SafeAreaView pointerEvents="box-none">
              <text_component_1.Text textAlign="center" p="md" fontSize="text300" color="gray500">
                {placeholder}
              </text_component_1.Text>
              {React.Children.map(children, (child) => {
        return React.cloneElement(child, {
            onSelect
        });
    })}
            </react_native_1.SafeAreaView>
          </div_component_1.Div>
        </react_native_modal_1.default>
      </>
    </button_component_1.Button>);
});
exports.Select = Select;
Select.defaultProps = {
    minH: 40,
    p: { x: 12 },
    w: "100%",
    borderColor: "gray300",
    borderWidth: 1,
    rounded: "md",
    color: "gray800",
    underlayColor: "gray100"
};
//# sourceMappingURL=select.component.js.map