"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props, state) => {
    const computedStyle = {};
    computedStyle.container = {
        flexDirection: "row",
        alignItems: "center",
        width: props.w,
        borderColor: theme_service_1.getThemeProperty(theme.colors, props.borderColor, "#e1e1e1"),
        backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent")
    };
    if (state.isFocussed) {
        computedStyle.container = Object.assign({}, computedStyle.container, { borderColor: theme_service_1.getThemeProperty(theme.colors, props.focusBorderColor, computedStyle.container.borderColor) });
    }
    computedStyle.input = {
        height: "100%",
        flex: 1
    };
    computedStyle.suffix = {
        flexDirection: "row",
        justifyContent: "center",
        marginLeft: 5
    };
    computedStyle.prefix = {
        flexDirection: "row",
        justifyContent: "center",
        marginRight: 5
    };
    if (props.p) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme_service_1.createDirectionalStyles("padding", props.p, "number"));
    }
    if (props.m) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme_service_1.createDirectionalStyles("margin", props.m, "number"));
    }
    if (props.h) {
        computedStyle.container = Object.assign({}, computedStyle.container, { height: props.h });
    }
    if (props.minH) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.container = Object.assign({}, computedStyle.container, { minWidth: props.minW });
    }
    if (props.borderWidth) {
        computedStyle.container = Object.assign({}, computedStyle.container, { borderWidth: props.borderWidth });
    }
    if (props.rounded) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme_service_1.createBorderRadiusStyles(props.rounded, theme.borderRadius));
    }
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=select.style.js.map