"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const skeleton_style_1 = require("./skeleton.style");
const theme_1 = require("../../theme");
const div_component_1 = require("../div/div.component");
const Skeleton = props => {
    const { bg, avatar, count } = props;
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = skeleton_style_1.getStyle(theme, props);
    const animatedOpacity = new react_native_1.Animated.Value(0);
    const runAnimation = () => {
        animatedOpacity.setValue(0);
        react_native_1.Animated.loop(react_native_1.Animated.sequence([
            react_native_1.Animated.timing(animatedOpacity, {
                toValue: 1,
                duration: 550
            }),
            react_native_1.Animated.timing(animatedOpacity, {
                toValue: 0,
                duration: 550
            })
        ])).start(() => runAnimation());
    };
    react_1.useEffect(() => {
        runAnimation();
        return function cleanup() { };
    });
    return (<react_native_1.Animated.View style={Object.assign({}, computedStyle.container, {
        opacity: animatedOpacity.interpolate({
            inputRange: [0, 1],
            outputRange: [1, 0.3]
        })
    })}>
      {avatar && <div_component_1.Div bg={bg} h={40} w={40} mr="sm" rounded="circle"/>}
      <div_component_1.Div style={{ flex: 1, width: "100%" }}>
        {[...Array(count).keys()].map(i => (<div_component_1.Div key={`at-sk=${i}`} bg={bg} h={15} mt="sm" w={i % 2 == 0 ? "100%" : "80%"} rounded="md"></div_component_1.Div>))}
      </div_component_1.Div>
    </react_native_1.Animated.View>);
};
exports.Skeleton = Skeleton;
Skeleton.defaultProps = {
    bg: "gray400",
    avatar: false,
    count: 1
};
//# sourceMappingURL=skeleton.component.js.map