"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.container = Object.assign({}, theme_service_1.createSpacingStyles(props, theme.spacing));
    if (props.avatar) {
        computedStyle.container = Object.assign({}, computedStyle.container, { flexDirection: "row" });
    }
    computedStyle.text = {
        flex: 1,
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "white")
    };
    if (props.style) {
        computedStyle.container = Object.assign({}, computedStyle.container, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=skeleton.style.js.map