"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.wrapper = {
        position: "absolute",
        bottom: 0,
        width: "100%"
    };
    computedStyle.text = {
        flex: 1,
        fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16),
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "white")
    };
    computedStyle.prefix = {
        marginRight: 8
    };
    computedStyle.suffix = {
        marginLeft: 8
    };
    computedStyle.container = Object.assign({ flexDirection: "row", justifyContent: "center", alignItems: "center" }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.shadow) {
        computedStyle.container = Object.assign({}, computedStyle.container, theme.shadow[props.shadow], { shadowColor: theme_service_1.getThemeProperty(theme.colors, props.shadowColor, "white") });
    }
    if (props.bg) {
        computedStyle.container = Object.assign({}, computedStyle.container, { backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent") });
    }
    computedStyle.button = {
        marginHorizontal: 8,
        marginVertical: 6
    };
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=snackbar.style.js.map