"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_1 = require("react");
const react_native_1 = require("react-native");
const tag_style_1 = require("./tag.style");
const theme_1 = require("../../theme");
const Tag = (props) => {
    const { h, w, mt, mr, mb, ml, p, pr, pt, pb, pl, minH, minW, style, rounded, roundedTop, roundedRight, roundedBottom, roundedLeft, children, borderColor, borderBottomColor, borderLeftColor, borderTopColor, borderRightColor, borderWidth, borderLeftWidth, borderRightWidth, borderBottomWidth, borderTopWidth, suffix, prefix, onPress } = props, rest = __rest(props, ["h", "w", "mt", "mr", "mb", "ml", "p", "pr", "pt", "pb", "pl", "minH", "minW", "style", "rounded", "roundedTop", "roundedRight", "roundedBottom", "roundedLeft", "children", "borderColor", "borderBottomColor", "borderLeftColor", "borderTopColor", "borderRightColor", "borderWidth", "borderLeftWidth", "borderRightWidth", "borderBottomWidth", "borderTopWidth", "suffix", "prefix", "onPress"]);
    const theme = react_1.useContext(theme_1.ThemeContext);
    const computedStyle = tag_style_1.getStyle(theme, props);
    return (<react_native_1.TouchableWithoutFeedback onPress={onPress}>
      <react_native_1.View style={computedStyle.div} {...rest}>
        {prefix && <react_native_1.View style={computedStyle.prefix}>{prefix}</react_native_1.View>}
        <react_native_1.Text style={computedStyle.text}>{children}</react_native_1.Text>
        {suffix && <react_native_1.View style={computedStyle.suffix}>{suffix}</react_native_1.View>}
      </react_native_1.View>
    </react_native_1.TouchableWithoutFeedback>);
};
exports.Tag = Tag;
Tag.defaultProps = {
    px: "md",
    py: "sm",
    bg: "gray200",
    color: "gray800",
    fontSize: "text200",
    textAlign: "auto",
    textTransform: "none",
    rounded: "md",
    borderWidth: 0,
    borderColor: "transparent",
    onPress: () => { }
};
//# sourceMappingURL=tag.component.js.map