"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.div = Object.assign({ borderColor: theme_service_1.getThemeProperty(theme.colors, props.borderColor, "transparent"), borderWidth: props.borderWidth, justifyContent: "center", alignItems: "center", flexDirection: "row", alignSelf: "flex-start", backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent") }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    computedStyle.text = {
        color: theme_service_1.getThemeProperty(theme.colors, props.color, "#000"),
        fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16),
        textAlign: props.textAlign,
        textTransform: props.textTransform,
        textDecorationColor: theme_service_1.getThemeProperty(theme.colors, props.textDecorColor, "transparent")
    };
    computedStyle.prefix = {
        marginRight: 4
    };
    computedStyle.suffix = {
        marginLeft: 4
    };
    if (props.h) {
        computedStyle.div = Object.assign({}, computedStyle.div, { height: props.h });
    }
    if (props.flexDir) {
        computedStyle.div = Object.assign({}, computedStyle.div, { flexDirection: props.flexDir });
    }
    if (props.w) {
        computedStyle.div = Object.assign({}, computedStyle.div, { width: props.w });
    }
    if (props.minH) {
        computedStyle.div = Object.assign({}, computedStyle.div, { minHeight: props.minH });
    }
    if (props.minW) {
        computedStyle.div = Object.assign({}, computedStyle.div, { minWidth: props.minW });
    }
    if (props.style) {
        computedStyle.div = Object.assign({}, computedStyle.div, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=tag.style.js.map