"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const theme_service_1 = require("../../theme/theme.service");
exports.getStyle = (theme, props) => {
    const computedStyle = {};
    computedStyle.text = Object.assign({ color: theme_service_1.getThemeProperty(theme.colors, props.color, "#000"), fontSize: theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16), backgroundColor: theme_service_1.getThemeProperty(theme.colors, props.bg, "transparent"), textAlign: props.textAlign, textTransform: props.textTransform, textDecorationColor: theme_service_1.getThemeProperty(theme.colors, props.textDecorColor, "transparent") }, theme_service_1.createBorderWidthStyles(props), theme_service_1.createSpacingStyles(props, theme.spacing), theme_service_1.createBorderColorStyles(props, theme.colors), theme_service_1.createBorderRadiusStyles(props, theme.borderRadius));
    if (props.h) {
        computedStyle.text = Object.assign({}, computedStyle.text, { height: props.h });
    }
    if (props.w) {
        computedStyle.text = Object.assign({}, computedStyle.text, { width: props.w });
    }
    if (props.minH) {
        computedStyle.text = Object.assign({}, computedStyle.text, { minHeight: props.minH });
    }
    if (props.flex) {
        computedStyle.text = Object.assign({}, computedStyle.text, { flex: props.flex });
    }
    if (props.minW) {
        computedStyle.text = Object.assign({}, computedStyle.text, { minWidth: props.minW });
    }
    if (props.fontWeight) {
        computedStyle.text = Object.assign({}, computedStyle.text, { fontWeight: props.fontWeight });
    }
    if (props.textDecorLine) {
        computedStyle.text = Object.assign({}, computedStyle.text, { textDecorationLine: props.textDecorLine });
    }
    if (props.textDecorStyle) {
        computedStyle.text = Object.assign({}, computedStyle.text, { textDecorationStyle: props.textDecorStyle });
    }
    if (props.letterSpacing) {
        computedStyle.text = Object.assign({}, computedStyle.text, { letterSpacing: props.letterSpacing });
    }
    if (props.lineHeight) {
        computedStyle.text = Object.assign({}, computedStyle.text, { lineHeight: props.lineHeight });
    }
    else {
        computedStyle.text = Object.assign({}, computedStyle.text, { lineHeight: 1.5 * theme_service_1.getThemeProperty(theme.fontSize, props.fontSize, 16) });
    }
    if (props.style) {
        computedStyle.text = Object.assign({}, computedStyle.text, props.style);
    }
    return react_native_1.StyleSheet.create(computedStyle);
};
//# sourceMappingURL=text.style.js.map